using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PXP.Crawler.API.Utils;

namespace PXP.Crawler.API.Designers.Controls
{
    public class ContainerControlEx : UserControl
    {
        internal bool mouseEnabled = false;
        public ContainerControlEx()
        {
            SetStyle(ControlStyles.SupportsTransparentBackColor, true);
            UpdateStyles();
        }
        
        /*protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);
            Rectangle cr = ClientRectangle;
            cr.Inflate(20, 20);
            e.Graphics.DrawRectangle(Pens.Green, cr);
        }*/

        /*protected override CreateParams CreateParams
        {
            get
            {
                CreateParams cp = base.CreateParams;
                //cp.ExStyle |= Win32.WS_EX_TRANSPARENT;
                cp.ExStyle |= Win32.WS_EX_LAYERED | Win32.WS_EX_TRANSPARENT;
                return cp;
            }
        }*/


        /*protected override void WndProc(ref Message m)
        {
            if (!mouseEnabled && (m.Msg == (int)Win32.WindowsMessage.NCHITTEST))
            {
                m.Result = (IntPtr)Win32.HitTest.TRANSPARENT;
            }
            else
            {
                base.WndProc(ref m);
            }
        }*/
    }
}
